Get RFI History

Retrieve Request for Information history for a payment. The delivery method (RTP or FedNow) is automatically determined based on the paymentId. Validates paymentId, ensures delivery method is RTP or FedNow and retrieves the RFI history from the payment service. Each item in rfiHistory represents one RFI thread consisting of a request and an optional response. The request side corresponds to CAMT.026 (information request). When answered, the response side corresponds to CAMT.028/CAMT.029 (information request response). response and responseDirection are null when the RFI is still pending. recordCount equals the number of RFI threads returned. Only curated partner-relevant fields are exposed. Full FedNow or RTP message payloads are not included in the response. Validation rules:

  • Payment ID is required and must be numeric
SecurityoAuth2
Request
path Parameters
paymentId
required
string

Unique payment identifier. The delivery method (RTP or FedNow) is automatically determined from this payment.

Responses
200

Successfully retrieved RFI history

400

Bad Request - Invalid input parameters or validation errors

401

You are not authorized to access the resource

403

Forbidden - User is not authorized to perform this operation

404

The resource you were trying to reach is not found

405

Method Not Allowed - The HTTP method is not allowed for this endpoint

500

Internal Server Error - Unexpected error occurred while processing the request

503

Service unavailable

get/v1/rfi/{paymentId}
Request samples
Response samples
application/json
{
  • "paymentId": "77426",
  • "deliveryMethod": "FEDNOW",
  • "recordCount": 2,
  • "rfiHistory": [
    ]
}